POST
/api/v1/start-script/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/start-script/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "label": "nginx-hello", "script_content": "hello"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/start-script/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "label": "nginx-hello", "script_content": "hello", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/start-script/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "label": "nginx-hello", "script_content": "hello" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key for authenticating the request
Example
<API_KEY>location
required
string
Specifies the target location for the start script
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
object
label
Name of the start script to add
string
Example
nginx-helloscript_content
Script content to be executed at start
string
Example
helloResponses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the result of adding the start script
integer
data
object
errors
object
message
Human-readable result message of the add start script operation
string
Example
{ "code": 200, "message": "Success"}